De tre skjemaene
Hvert skjema er en kort tekstbit som en telefon vet hvordan den skal gi videre til riktig app. mailto: åpner e-postappen, tel: åpner telefonappen og sms: åpner meldingsappen, med mottaker og noen ganger meldingen allerede utfylt.
Telefonnumre fungerer best i internasjonalt format med plusstegn og landskode, for eksempel +15035550123, slik at koden fungerer for besøkende fra andre land.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (eldre konvensjon, leses fortsatt av mange)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (eldre e-postkonvensjon)
Koding av meldingsteksten
Emner og meldingstekster i mailto- og sms-lenker må være prosentkodet, så et mellomrom blir %20 og et og-tegn inne i teksten blir %26. Ukodede tegn kan avkorte meldingen eller ødelegge lenken.
Plattformene har ikke alltid tolket sms-parameteren body likt, og det er en grunn til at den eldre SMSTO:-formen fortsatt er vanlig i QR-generatorer. Å teste på både iPhone og Android før trykking er den pålitelige kontrollen.
Hva disse kodene ikke kan gjøre
En QR-kode kan ikke sende en e-post, sende en tekstmelding eller ringe på egen hånd. Den åpner bare appen med feltene utfylt, og personen som skanner, avgjør om vedkommende trykker send eller ring.
Fordi mottakeren er synlig før sending, bør folk sjekke at den stemmer med det de forventer. En kode som forhåndsutfyller en melding til et nummer med høy takst eller en ukjent adresse, er et varselsignal.